//+------------------------------------------------------------------+
//|                                                super-signals.mq4 |
//|                Copyright  2006, Nick Bilak, beluck[AT]gmail.com |
//+------------------------------------------------------------------+
#property copyright "Copyright  2006, Nick Bilak converted by Suresh"
#property link      "http://www.forex-tsd.com/"

#property indicator_buffers 2
#property indicator_separate_window
#property indicator_color1 LawnGreen
#property indicator_color2 Red
#property indicator_width1 3
#property indicator_width2 3

//---- input parameters
/*************************************************************************
PERIOD_M1   1
PERIOD_M5   5
PERIOD_M15  15
PERIOD_M30  30 
PERIOD_H1   60
PERIOD_H4   240
PERIOD_D1   1440
PERIOD_W1   10080
PERIOD_MN1  43200
You must use the numeric value of the timeframe that you want to use
when you set the TimeFrame' value with the indicator inputs.
**************************************************************************/

double Buffer1[];
double Buffer2[];
double alertBar;
double prev;
double prev1;
extern int SoundAlertMode = 0;
extern int TimeFrame=0;

int init()
  {
   SetIndexStyle(0,DRAW_HISTOGRAM,STYLE_SOLID,2);
   SetIndexBuffer(0,Buffer1);
   SetIndexStyle(1,DRAW_HISTOGRAM,STYLE_SOLID,2);
   SetIndexBuffer(1,Buffer2);
   SetIndexLabel(0,"EWO");
   
//---- name for DataWindow and indicator subwindow label   
   switch(TimeFrame)
   {
      case 1 : string TimeFrameStr="Period_M1"; break;
      case 5 : TimeFrameStr="Period_M5"; break;
      case 15 : TimeFrameStr="Period_M15"; break;
      case 30 : TimeFrameStr="Period_M30"; break;
      case 60 : TimeFrameStr="Period_H1"; break;
      case 240 : TimeFrameStr="Period_H4"; break;
      case 1440 : TimeFrameStr="Period_D1"; break;
      case 10080 : TimeFrameStr="Period_W1"; break;
      case 43200 : TimeFrameStr="Period_MN1"; break;
      default : TimeFrameStr="Current Timeframe";
   }
   IndicatorShortName("MTF_Elliot ("+TimeFrameStr+")");   
   return(0);
  }
//----

int start() 
{
   double MA5,MA35;
   datetime TimeArray[];
   int    i,limit,y=0,counted_bars=IndicatorCounted();
    
// Plot defined timeframe on to current timeframe   
   ArrayCopySeries(TimeArray,MODE_TIME,Symbol(),TimeFrame); 
   
   limit=MathMax(Bars-counted_bars,3*TimeFrame/Period());
   for(i=0,y=0;i<limit;i++)
   {
   if (Time[i]<TimeArray[y]) y++; 

/***********************************************************   
   Add your main indicator loop below.  You can reference an existing
      indicator with its iName  or iCustom.
   Rule 1:  Add extern inputs above for all neccesary values   
   Rule 2:  Use 'TimeFrame' for the indicator time frame
   Rule 3:  Use 'y' for your indicator's shift value
 **********************************************************/  

      MA5=iMA(NULL,TimeFrame,5,0,MODE_SMA,PRICE_MEDIAN,i);
      MA35=iMA(NULL,TimeFrame,35,0,MODE_SMA,PRICE_MEDIAN,i);
      if(Buffer2[i]  > 0) {Buffer1[i]=MA5-MA35;Buffer2[i]=0;}
      if(Buffer1[i]  < 0) {Buffer2[i]=MA5-MA35;Buffer1[i]=0;}

      if(prev != 2 && Buffer2[i]  < 0 && SoundAlertMode > 0 && Bars>alertBar) {Alert("Elliot Wave new Down wave starting on ",Symbol()," Period ",Period());alertBar = Bars;prev = 2;}
      if(prev != 1 && Buffer1[i]  > 0 && SoundAlertMode > 0 && Bars>alertBar) {Alert("Elliot Wave new Up wave starting on ",Symbol()," Period ",Period());alertBar = Bars;prev = 1;}

   }  
   return(0);
   }


//+------------------------------------------------------------------+

